# Uses of Class
org.springframework.http.ResponseCookie

Packages that use ResponseCookie
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.
org.springframework.http.server.reactive
Abstractions for reactive HTTP server support including a `ServerHttpRequest` and `ServerHttpResponse` along with an `HttpHandler` for processing.

## Uses of ResponseCookie in org.springframework.http

Methods in org.springframework.http that return ResponseCookie
Modifier and Type
Method
Description
`ResponseCookie`
ResponseCookie.ResponseCookieBuilder.`build()`
Create the HttpCookie.

## Uses of ResponseCookie in org.springframework.http.client.reactive

Methods in org.springframework.http.client.reactive that return types with arguments of type ResponseCookie
Modifier and Type
Method
Description
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
AbstractClientHttpResponse.`getCookies()`
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
ClientHttpResponse.`getCookies()`
Return a read-only map of response cookies received from the server.
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
ClientHttpResponseDecorator.`getCookies()`
Constructor parameters in org.springframework.http.client.reactive with type arguments of type ResponseCookie
Modifier
Constructor
Description
`protected`
`AbstractClientHttpResponse(HttpStatusCode statusCode, HttpHeaders headers, org.springframework.util.MultiValueMap<String,ResponseCookie> cookies, reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> body)`

## Uses of ResponseCookie in org.springframework.http.server.reactive

Methods in org.springframework.http.server.reactive that return types with arguments of type ResponseCookie
Modifier and Type
Method
Description
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
AbstractServerHttpResponse.`getCookies()`
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
ServerHttpResponse.`getCookies()`
Return a mutable map with the cookies to send to the server.
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
ServerHttpResponseDecorator.`getCookies()`
Methods in org.springframework.http.server.reactive with parameters of type ResponseCookie
Modifier and Type
Method
Description
`void`
AbstractServerHttpResponse.`addCookie(ResponseCookie cookie)`
`void`
ServerHttpResponse.`addCookie(ResponseCookie cookie)`
Add the given `ResponseCookie`.
`void`
ServerHttpResponseDecorator.`addCookie(ResponseCookie cookie)`